import base64
from pathlib import Path
import unittest
import config
from config import send_request

image_path = 'image'

# test, sb ,idc
url = config.URL['idc']
token = config.TOKEN['idc']

class TestOcr(unittest.TestCase):

    def _helper(self, image_path, suffix):
        root = Path(__file__).parent
        image_path = str(root / image_path)
        r = send_request(image_path, suffix, url, token)
        self.assertIn('result', r, f'{suffix} test error')

    def test_bank(self):
        image_path = './image/bankcard.jpg'
        suffix = '/yhksb/bankcard'
        self._helper(image_path, suffix)

    def test_idcard(self):
        image_path = './image/idcard.jpg'
        suffix = '/sfzsb/idcard'
        self._helper(image_path, suffix)

    def test_regbook(self):
        image_path = './image/regbook.jpg'
        suffix = '/hkbsb/regbook'
        self._helper(image_path, suffix)

    def test_schoolcert(self):
        image_path = './image/schoolcert.jpg'
        suffix = '/xxw/schoolcert'
        self._helper(image_path, suffix)

    def test_cet(self):
        image_path = './image/cet.jpg'
        suffix = '/cet/cet'
        self._helper(image_path, suffix)
